Loading...
Searching...
No Matches
novas_planet_bundle Struct Reference

Position and velocity data for a set of major planets (which may include the Sun and the Moon also). More...

`#include <novas.h>`

## Data Fields

int | mask
| Bitwise mask (1 << planet-number) specifying wich planets have pos/vel data.
double | pos [NOVAS_PLANETS][3]
| [AU] Apparent positions of planets w.r.t. observer antedated for light-time
double | vel [NOVAS_PLANETS][3]
| [AU/day] Apparent velocity of planets w.r.t. barycenter antedated for light-time

## Detailed Description

Position and velocity data for a set of major planets (which may include the Sun and the Moon also).

Since
  1.1

See also
  enum novas_planet, NOVAS_PLANET_BUNDLE_INIT, grav_planets()

The documentation for this struct was generated from the following file:

- /build/supernovas-Ly00hg/supernovas-1.5.1/include/novas.h